/* You can add global styles to this file, and also import other style files */

@import 'theme/theme';
// 3rd party libraries
@import '~bootstrap/scss/bootstrap';
@import "../node_modules/bootstrap-select/dist/css/bootstrap-select.css";
@font-face {
  font-family: 'Avenir';
  src: url('/assets/fonts/AvenirLTStd-Book.woff') format('woff');
}
@font-face {
  font-family: 'AvenirRegular';
  src: url('/assets/fonts/AvenirNextLTPro-Regular.woff') format('woff');
}
@font-face {
  font-family: 'AvenirBlack';
  src: url('/assets/fonts/AvenirLTStd-Black.woff') format('woff');
}
@font-face {
  font-family: 'AvenirBook';
  src: url('/assets/fonts/AvenirBook.woff') format('woff');
}
@font-face {
  font-family: 'AvenirHeavy';
  src: url('/assets/fonts/AvenirHeavy.woff') format('woff');
}
@font-face {
  font-family: 'AvenirMedium';
  src: url('/assets/fonts/AvenirMedium.woff') format('woff');
}
@font-face {
  font-family: 'AvenirLight';
  src: url('/assets/fonts/avenir-light.woff') format('woff');
}

* {
  font-family: 'Avenir', 'Open Sans', sans-serif;
}

// .sg-vertical-sub-menu+* .cdk-overlay-pane{
//     top: 166px !important;
//     left: 1468.25px !important;
//     height: 77vh;
// }

// .cdk-overlay-pane .custom{
//   top: 166px !important;
//   left: 1468.25px !important;
//   height: 77vh;
// }

// icon font awesome
fa-icon {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 20px;
  line-height: 1;
  letter-spacing: normal;
  text-transform: none;
  display: inline-block;
  white-space: nowrap;
  word-wrap: normal;
}

html {
  // zoom: 0.8;
  overflow-x: hidden;
}
html,
body {
  height: 100%;
  background-color: rgb(243, 245, 246, 0.47);
  color: #354360;
}

body {
  margin: 0;
  font-family: 'Avenir', 'Helvetica Neue', sans-serif;

  -webkit-font-smoothing: subpixel-antialiased;
}

label {
  margin: 0 !important;
}

.text-secondary {
  color: var(--main-strada-color-2);
}
.small-text {
  font-weight: 100;
}
agm-map {
  width: 100%;
  height: 600px;
}

.mat-datepicker-content .mat-calendar {
  height: 410px !important;
}

.mat-datepicker-toggle {
  .mat-button-focus-overlay {
    top: 3px;
  }
  .mat-datepicker-toggle-default-icon {
    width: 1.49em !important;
  }
}
.mat-form-field-appearance-legacy .mat-form-field-prefix .mat-datepicker-toggle-default-icon,
.mat-form-field-appearance-legacy .mat-form-field-suffix .mat-datepicker-toggle-default-icon {
  width: 1.49em !important;
}
.mat-form-field-prefix {
  margin-right: 12px !important;
  margin-left: 12px !important;
}
.mat-form-field-appearance-legacy.example-chip-list {
  .mat-form-field-wrapper {
    padding-bottom: 0 !important;
  }
}
.mat-form-field-appearance-legacy {
  .mat-form-field-infix {
    width: 100px;
  }
  .mat-form-field-suffix .mat-datepicker-toggle-default-icon,
  .mat-form-field-prefix .mat-datepicker-toggle-default-icon {
    width: 20px !important;
    color: var(--main-strada-color-1) !important;
  }
}
.mat-form-field-flex {
  align-items: flex-end !important;
}
.navbar-date-picker {
  .mat-form-field-appearance-legacy .mat-form-field-infix {
    padding: 0;
    margin-top: 5px;
  }
}
.mat-datepicker-popup
  .mat-calendar
  .mat-calendar-table
  .mat-calendar-body
  .mat-calendar-body-cell
  .mat-calendar-body-cell-content:after {
  width: 0;
}
.mat-menu-item {
  white-space: pre-wrap !important;
  overflow: visible !important;
  line-height: 23px !important;
}

.mat-menu-trigger {
  &[aria-expanded='true'] {
    fa-icon {
      svg {
        transform: rotateZ(180deg);
      }
    }
  }
  * {
    transition: all 0.5s;
  }
}

.mat-menu-content {
  button.mat-menu-item {
    padding: 0 10px;
    fa-icon,
    svg-icon {
      margin-right: 10px;
    }
  }
}

.example-chip-list .mat-form-field-infix {
  width: fit-content;
  // min-width: 180px;
  .mat-chip-list-wrapper {
    flex-wrap: nowrap !important;
    overflow-x: auto;
  }
}
// .transparent-btn .faPlus {
//           font-size: 15px !important;
//         }
// .transparent-btn {
//   font-family: "AvenirMedium";
//   color: var(--main-strada-color-2);
//   background: transparent;
//   border: 1px solid var(--main-strada-color-2) !important;
//   padding: 5px;
//   margin: 0 10px 0 0;
//   min-height: 34px;
//   min-width: 34px;
//   &:hover,
//   &:focus,
//   &:active {
//     background-color: var(--main-strada-color-2) !important;
//     color: white !important;
//     border: 1px solid var(--main-strada-color-2) !important;
//     box-shadow: none !important;
//     fill: white !important;
//     path {
//       stroke: white !important;
//     }
//   }
//   svg {
//     font-size: 0.85em;
//   }
// }
.save-btn {
  padding: 5px 5px 4px 5px;
  margin: 0 10px 0 0;
  min-height: 34px;
  min-width: 34px;
}
.main-strada-btn {
  background-color: var(--main-strada-color-2) !important;
  color: white !important;
  border: 1px solid var(--main-strada-color-2) !important;
  padding: 5px 10px 5px 10px;
  font-size: 15px !important;
  &:active {
    box-shadow: none !important;
    color: var(--main-strada-color-2) !important;
    path {
      fill: var(--main-strada-color-2) !important;
      stroke: var(--main-strada-color-2) !important;
    }
  }
  &:disabled {
    background-color: #f7f7f7 !important;
    color: #c6cbd4 !important;
    border-width: 0 !important;
    &:hover {
      color: #c6cbd4 !important;
    }
  }
}

// .main-strada-btn {
//   font-family: "AvenirMedium";
//   background-color: var(--main-strada-color-2) !important;
//   color: white !important;
//   border: 1px solid var(--main-strada-color-2) !important;
//   padding: 5px 10px 5px 10px;
//   font-size: 15px !important;
//   &:active {
//     box-shadow: none !important;
//     color: var(--main-strada-color-2) !important;
//     path {
//       fill: var(--main-strada-color-2) !important;
//       stroke: var(--main-strada-color-2) !important;
//     }
//   }
// }






////////////////////////////////// hide code css for adib /////////////////////////////////////////////////////////////////////
// .cdk-overlay-connected-position-bounding-box:nth-child(2) {
//   display: block !important;
//   /* height: 60% !important; */
//   bottom: 0px !important;
//   top: 450px !important;
// }
// .border-0:nth-child(1) {
//   border: 0 !important;
//   height: 314px;
// }
.cdk-overlay-connected-position-bounding-box {


  .mat-checkbox-indeterminate.mat-warn .mat-checkbox-background,
  .mat-checkbox-checked.mat-warn .mat-checkbox-background {
    background-color: var(--main-strada-color-1);
    .mat-checkbox-checkmark {
      padding: 2px !important;
    }
  }
}

.mat-checkbox-indeterminate.mat-accent .mat-checkbox-background,
.mat-checkbox-checked.mat-accent .mat-checkbox-background {
  svg {
    padding: 2px !important;
  }
}

.mat-calendar-body-selected {
  // background-color: var(--main-strada-color-1);
  background-color: #fff;
  color: #555d7b;
  .data {
    // color: #fff !important;
    color: #555d7b;

  }
  .day {
    // color: #fff !important;
    color: #555d7b;

  }
}
.mat-calendar-body-today {
  background-color: unset !important;
  border: 1px solid var(--main-strada-color-1) !important;
  color: #000000 !important;
  // .day, .data{
  //   color: initial !important;
  // }
}

/******************************************************************************************************/
/******************************************************************************************************/
/*******************************         Scroll          **********************************************/
/******************************************************************************************************/
/******************************************************************************************************/

* {
  &::-webkit-scrollbar-track {
    background-color: transparent;
    border-radius: 8px;
    transition: all 2s;
  }
  &::-webkit-scrollbar-thumb {
    background-color: transparent;
    border-radius: 8px;
    transition: all 2s;
  }
  &::-webkit-scrollbar {
    background-color: transparent;
    width: 0.6em;
    box-sizing: border-box;
  }

  &:hover {
    &::-webkit-scrollbar-track {
      background-color: #c1c1c1;
    }
    &::-webkit-scrollbar-thumb {
      background-color: #8c8e91;
    }
    &::-webkit-scrollbar {
      width: 0.6em;
    }
  }
}

/******************************************************************************************************/
/******************************************************************************************************/
/*******************************       Scroll Ends       **********************************************/
/******************************************************************************************************/
/******************************************************************************************************/
*,
.wrapper {
  scrollbar-color: transparent transparent !important;
  scroll-behavior: 0ms !important;
  scrollbar-width: thin;
  :hover {
    scrollbar-color: #8c8e91 #c1c1c1 !important;
  }
}

.mat-disabled-cell,
.mat-calendar-body-disabled {
  .day,
  .data {
    color: #dddddd !important;
  }
  &:hover,
  &:active,
  &:focus {
    .mat-calendar-body-cell-content {
      background-color: transparent !important;
    }
  }
  .mat-calendar-body-cell-content {
    &:hover,
    &:active,
    &:focus {
      background-color: transparent !important;
    }
  }
}

.list-menu {
  max-height: 76vh !important;
  width: 325px;
  max-width: 325px !important;
  margin-top: 10px;
  .mat-form-field-wrapper {
    padding: 0 0.6em !important;
    .mat-form-field-flex {
      background: #f7f9fc;
      border: 1px solid #e4e9f2;
      border-radius: 3px;
      padding: 0.35em 5px 0.35em 5px;
      width: 100%;
      display: flex;
      align-items: center;
      .mat-form-field-infix {
        border: 1px;
        .mat-form-field-label-wrapper {
          top: -0.93em;
        }
      }
      .mat-form-field-prefix {
        margin-right: 5px !important;
        margin-left: 5px !important;
      }
      fa-icon {
        .fa-search {
          width: 0.7em;
          color: #707070;
        }
      }
    }
  }
  .mat-pseudo-checkbox-checked,
  .mat-pseudo-checkbox-indeterminate,
  .mat-accent .mat-pseudo-checkbox-checked,
  .mat-accent .mat-pseudo-checkbox-indeterminate {
    background: #4b74ff;
  }
  .vehicle-filter-list-panel {
    box-shadow: none;
    .vehicle-filter-list-header {
      border: none;
      border-radius: 5px !important;
      background-color: #5793ce14;
      padding: 5px 10px;
      margin: 5px 0;
      height: unset !important;
      align-items: center;
      .mat-expansion-panel-header-title {
        color: #354360 !important;
        font-weight: 500;
      }
    }
    .mat-expansion-panel-header.mat-expanded:focus,
    .mat-expansion-panel-header.mat-expanded:hover {
      background: #5793ce14 !important;
    }
    .mat-expansion-indicator::after {
      padding: 4px !important;
      position: relative;
      top: -5px;
    }
    .mat-expansion-panel-content {
      .mat-expansion-panel-body {
        padding: 0 !important;
        .vehicle-filter-list-content-checkbox {
          border: 1px solid #4b74ff55;
          border-radius: 4px;
          height: unset !important;
          width: 100%;
          padding: 5px 0;
          margin: 4px 0;
          .mat-pseudo-checkbox {
            background: white;
            border: 1px solid #4b74ff;
            &.mat-pseudo-checkbox-checked,
            &.mat-pseudo-checkbox-indeterminate {
              background: white;
              border: 1px solid #4b74ff;
              &::after {
                color: #4b74ff;
                left: 2px;
              }
            }
          }
        }
      }
    }
  }

  // .mat-expansion-panel-header-description, .mat-expansion-indicator::after, .mat-expansion-panel-header-title h3{
  //   color: #4B74FF !important;
  // }
}

.state-menu {
  .mat-menu-content {
    display: grid;
    padding: 0.2em;
  }
}
.vehicle-filter-list-panel {
  box-shadow: none;
  .vehicle-filter-list-header {
    border: none;
    border-radius: 5px !important;
    background-color: #5793ce14;
    padding: 5px 10px;
    margin: 5px 0;
    height: unset !important;
    align-items: center;
    .mat-expansion-panel-header-title {
      color: #354360 !important;
      font-weight: 500;
    }
  }
  .mat-expansion-panel-header.mat-expanded:focus,
  .mat-expansion-panel-header.mat-expanded:hover {
    background: #5793ce14 !important;
  }
  .mat-expansion-indicator::after {
    padding: 4px !important;
    position: relative;
    top: -5px;
  }
  .mat-expansion-panel-content {
    .mat-expansion-panel-body {
      padding: 0 !important;
      .vehicle-filter-list-content-checkbox {
        border: 1px solid #4b74ff55;
        border-radius: 4px;
        height: unset !important;
        width: 100%;
        padding: 5px 0;
        margin: 4px 0;
        .mat-pseudo-checkbox {
          background: white;
          border: 1px solid #4b74ff;
          &.mat-pseudo-checkbox-checked,
          &.mat-pseudo-checkbox-indeterminate {
            background: white;
            border: 1px solid #4b74ff;
            &::after {
              color: #4b74ff;
              left: 2px;
            }
          }
        }
      }
    }
  }
}

.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label,
.mat-form-field-can-float .mat-input-server:focus + .mat-form-field-label-wrapper .mat-form-field-label {
  display: none;
}

.item-activity {
  .mat-checkbox-indeterminate.mat-accent .mat-checkbox-background,
  .mat-checkbox-checked.mat-accent .mat-checkbox-background {
    background-color: white !important;
    svg {
      path {
        stroke: black !important;
      }
    }
  }
}

.comments-dropdown {
  min-width: 330px !important;
  overflow-x: hidden !important;
  max-height: 460px;
  .mat-menu-content {
    overflow-x: hidden !important;
  }
}
.employee-list-menu {
  .mat-list-text {
    font-size: 14px;
  }
  .mat-pseudo-checkbox-checked {
    background: #4b74ff;
  }
}

/************************************************************** Add New Vehicle File **************************************************************************/

.add-new-doc-mat-typography {
  text-align: center;
  min-height: 250px;
  min-width: 340px;
  margin: 0 !important;
  padding: 0 !important;
  overflow: hidden !important;
  h3 {
    font-size: 1.5rem !important;
    font-family: Avenir;
    color: #354360;
  }
  .mat-radio-group {
    display: flex;
    flex-direction: column;
    label {
      padding: 15px 75px;
      border-bottom: 1px solid #eeeeee95;
      .mat-radio-ripple {
        display: none;
      }
      .mat-radio-label-content {
        color: #354360;
      }
      .mat-radio-outer-circle {
        display: none;
      }
      .mat-radio-inner-circle {
        display: none;
      }
      .selected-icon {
        display: none;
      }
      .not-selected-icon {
        display: inline;
      }
    }
    .mat-radio-checked {
      label {
        background-color: #ebebeb;
        .mat-radio-label-content {
          font-weight: 700;
        }
        .selected-icon {
          display: inline;
        }
        .not-selected-icon {
          display: none;
        }
      }
    }
  }
}
.dialog-header {
  button {
    margin-left: auto;
    display: block;
    margin-right: 0px;
    margin-top: 0px;
    background: transparent;
    border: none;
    &:hover {
      filter: invert(100%);
    }
  }
}
.cancel-button {
  border: 1px solid var(--main-strada-color-2) !important;
}
.main-strada-btn:hover,
.main-strada-btn:focus,
.main-strada-btn:active {
  color: rgb(216, 220, 226) !important;
}
.main-strada-btn[disabled='true'] {
  opacity: 0.68;
}
.mat-dialog-container {
  padding: 0 !important;
  border-radius: 10px !important;
  min-height: 400px !important;
}

.drag-scroll-content {
  overflow-y: hidden !important;
  height: fit-content !important;
}

.load_more_btn {
  .mat-list-item-content {
    text-align: center !important;
    justify-content: center;
    span {
      -webkit-user-select: none; /* Chrome 49+ */
      -moz-user-select: none; /* Firefox 43+ */
      -ms-user-select: none; /* No support yet */
      user-select: none; /* Likely future */
    }
  }
}

.mat-form-field-appearance-legacy.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label,
.mat-form-field-appearance-legacy.mat-form-field-can-float
  .mat-input-server:focus
  + .mat-form-field-label-wrapper
  .mat-form-field-label {
  opacity: 0;
}

.vehicle-filter-list-accordion .active {
  background-color: rgba(220, 220, 220, 0.3);
}

.mat-slider-thumb-container {
  .mat-slider-thumb-label-text {
    display: none;
  }
  .mat-slider:not(.mat-slider-disabled).cdk-focused .mat-slider-thumb-label {
    opacity: 0;
  }
}
.mat-slider-horizontal {
  min-width: 220px !important;
  width: 100%;
  height: unset !important;
  .mat-slider-wrapper {
    width: 220px;
    // background-color: rgba($color: #e0e0e0, $alpha: 0.47);
    background-color: #e0e0e0;
  }
}

.mat-slider-min-value:not(.mat-slider-thumb-label-showing):hover .mat-slider-thumb,
.mat-slider-min-value:not(.mat-slider-thumb-label-showing).cdk-focused .mat-slider-thumb {
  border: 0;
}
.mat-slider-has-ticks.cdk-focused:not(.mat-slider-disabled) .mat-slider-ticks,
.mat-slider-has-ticks:hover:not(.mat-slider-disabled) .mat-slider-ticks {
  opacity: 0 !important;
  padding-left: 7px !important;
}

.menu-dropdown {
  min-width: 230px !important;
  transform: translateY(-50px) !important;
  h4 {
    padding-left: 0.5em;
    padding-right: 1.5em;
    margin-top: 0.5em;
  }

  .mat-menu-item {
    display: flex;
    justify-content: space-between;
  }
}
.icon-rectangle {
  width: 20px;
  height: 20px;
}

.graph-menu {
  background-color: #e4eef8;
  .mat-menu-content {
    padding: 0 !important;
  }
  button {
    color: #5793ce;
    &:not(:last-of-type) {
      border-bottom: 2px solid #ffffff;
    }
  }
}
.timepicker-overlay,
.timepicker-backdrop-overlay {
  z-index: 11013 !important;
}

.activity-type {
  .mat-checkbox-mixedmark {
    opacity: 0 !important;
    background-color: #60afbc !important;
  }
}

.disable-backdrop-click .cdk-overlay-backdrop.cdk-overlay-transparent-backdrop.cdk-overlay-backdrop-showing {
  pointer-events: none;
}

.list-search-menu {
  min-width: 325px !important;
}

.mat-form-field-wrapper {
  padding-bottom: 0.34375em !important;
}

@media (max-width: 1465px) {
  .list-vehicle-btn {
    width: 250px !important;
    font-size: 0.85em !important;
  }
  .employee-list-menu .vehicle-filter-list-content-checkbox {
    font-size: 0.8em !important;
    white-space: break-spaces !important;
  }
}
.save-btn {
  padding: 5px 5px 4px 5px;
  margin: 0 10px 0 0;
  min-height: 34px;
  min-width: 34px;
}

.echeanceModal {
  h5 {
    color: var(--main-strada-color-1);
  }

  .smallinputs {
    text-align: end;
  }

  .verticalLine {
    // border-right: 0.25px solid #000;
  }

  .mat-select {
    border: 1px solid #70707090;
    width: 7em;
    margin: 0 4px;
    border-radius: 3px;
  }

  .mat-button-toggle-checked {
    background-color: var(--main-strada-color-1) !important;
    border-color: var(--main-strada-color-1) !important;
    color: #ffffff !important;
    box-shadow: none !important;
  }

  .mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle {
    border-color: var(--main-strada-color-2);
  }

  .mat-radio-button.mat-accent .mat-radio-inner-circle {
    color: var(--main-strada-color-2);
    background-color: var(--main-strada-color-2);
  }
  .mat-radio-button.mat-accent .mat-radio-ripple .mat-ripple-element {
    border-color: var(--main-strada-color-2);
  }
  .mat-radio-outer-circle {
    border-color: var(--main-strada-color-2);
  }
  .mat-radio-button {
    .mat-ripple-element.mat-radio-persistent-ripple,
    .mat-ripple-element {
      background-color: var(--main-strada-color-2) !important;
    }
  }

  .monthlyCharachtersRadioGroup {
    .mat-select {
      width: 70%;
    }

    .mat-select-trigger {
      width: -webkit-fill-available;
    }

    .mat-radio-label {
      align-items: flex-start;
    }

    .mat-select-value {
      width: 77%;
    }
  }

  .annuelle {
    .mat-select {
      width: 57%;
    }
  }
}

.myPanelClassSelects {
  margin-left: 2em;
}

/* handle button display on 1440 px screens */
@media only screen and (max-width: 1440px) {
  .list-search-menu {
    // min-width: 279px !important;
    min-width: 325px !important;
  }
}

.detailsVehicle {
  /* handle display on 1440 px screens */
  @media only screen and (max-width: 1440px) {
    input.mat-input-element {
      font-size: 0.8vw !important;
    }

    .mat-form-field-empty.mat-form-field-label {
      font-size: 1vw !important;
    }
  }
}

/*reports button width handlingd*/
.searchb {
  margin-right: 0.51rem !important;
}

/* handle button display on 1440 px screens */
@media only screen and (max-width: 1440px) {
  .searchb {
    margin-right: 1.51rem !important;
  }
}

// ***********************************************************
//              Outlined Mat Form Field style
// ***********************************************************

.mat-form-field {
  .mat-form-field-wrapper {
    .mat-form-field-flex {
      .mat-form-field-outline,
      .mat-form-field-outline-thick {
        .mat-form-field-outline-start,
        .mat-form-field-outline-gap,
        .mat-form-field-outline-end {
          border-width: 1px !important;
        }
      }
    }
  }
}
.mat-form-field-appearance-outline .mat-form-field-subscript-wrapper {
  padding: 1em 1em 0 1em !important;
  * {
    color: #da1e27;
  }
}
.mat-form-field-appearance-outline {
  &.ng-invalid.ng-touched .mat-form-field-outline-thick {
    color: #da1e27 !important;
  }
}
.red-icon {
  fill: #da1e27;
  color: #da1e27;
}
.green-icon {
  fill: #0ca900;
  color: #0ca900;
}
.login-id-form-field {
  .mat-form-field-suffix {
    top: -0.65em !important;
  }
  font-size: 1em !important;
  &.mat-form-field-appearance-outline.ng-valid .mat-form-field-outline-thick {
    color: #0ca900 !important;
    opacity: 1;
  }
}

.historyText {
  text-decoration: underline;
  color: var(--main-strada-color-2) !important;
  .modalText {
    cursor: pointer;
    color: var(--main-strada-color-2);
  }
}

// .btn:focus,
.btn:hover {
  color: #fff !important;
}
.btn-primary:focus, .secondary-strada-btn:focus,
.btn-primary.focus {
  box-shadow: none !important;
}

.text-primary {
  color: var(--main-strada-color-2) !important;
}

/**********************************************************/
/*****************    Mat-toggle button     ***************/
/**********************************************************/
.mat-button-toggle-group {
  width: 100%;
  .mat-button-toggle {
    width: 33.3333333%;
    display: flex;
    align-items: center;
    &.mat-button-toggle-checked {
      background-color: var(--main-strada-color-1) !important;
      border-color: var(--main-strada-color-1) !important;
      color: #ffffff !important;
      box-shadow: none !important;
    }
    .mat-button-toggle-label-content {
      line-height: 2.75em !important;
      padding: 0 12px;
      font-size: 0.8em;
      font-family: 'AvenirMedium';
    }
  }
}

/**********************************************************/
/*******************    Mat-list      *********************/
/**********************************************************/
.mat-list-base .mat-list-item {
  border-radius: 2px !important;
  height: 40px !important;
  max-width: 295px;
  cursor: pointer;
  &.selected {
    border: 1px solid var(--main-strada-color-1) !important;
  }
  &.disabled {
    pointer-events: none;
    background-color: rgba(0, 0, 0, 0.06);
    color: rgba(0, 0, 0, 0.38);
    border: rgba(0, 0, 0, 0.06) !important;
  }
}

.modal-header {
  .modal-title {
    color: var(--main-strada-color-1);
  }
}

.mat-checkbox-indeterminate.mat-warn .mat-checkbox-background,
.mat-checkbox-checked.mat-warn .mat-checkbox-background {
  background-color: var(--main-strada-color-2);
}

// ***********************************************************
// ***********************************************************
/* ___________________ (Buttons Review) ___________________ */
// ***********************************************************
// ***********************************************************

.strada-btn-large {
  width: 20em;
  height: 40px;
  * {
    font-size: 13px;
  }
}

.strada-btn-medium {
  width: 13.5em;
  height: 40px;
}

.strada-btn-small {
  width: 9em;
  height: 40px;
}

.primary-strada-btn-with-icon {
  .mat-button-wrapper {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
    svg-icon,
    fa-icon {
      margin-left: 2em;
    }
  }
}

.primary-strada-btn {
  &:not(:disabled) {
    /* ___________________ (Active State) ___________________ */
    &:active {
      box-shadow: none !important;
      background-color: #0f244e !important;
      color: white !important;
    }
    /* ___________________ (Focus State) ___________________ */
    &:focus {
      box-shadow: none !important;
      background-color: #0f244e !important;
      color: white !important;
      border: 2px solid #0f244e !important;
    }
    /* ___________________ (hover State) ___________________ */
    &:hover {
      box-shadow: none !important;
      background-color: #0f244e !important;
      color: white !important;
    }
  }

  &:disabled {
    background-color: #f7f7f7 !important;
    color: #c6cbd4 !important;
    border-width: 0 !important;
    &:hover {
      color: #c6cbd4 !important;
    }
  }

  font-family: 'AvenirBook';
  background-color: var(--color-blue-4) !important;
  color: white;
}

.secondary-strada-btn {
  font-family: 'AvenirBook';
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--color-blue-4) !important;
  background: transparent;
  border: 2px solid var(--color-blue-4) !important;
  margin: 0 10px 0 0;

  &:not(:disabled) {
    // &:focus,
    &:active {
      background-color: #0f244e !important;
      color: white !important;
      border: 2px solid #0f244e !important;
      box-shadow: none !important;
      fill: white !important;
      path {
        stroke: white !important;
      }
    }

    &:hover {
      background-color: var(--color-blue-4) !important;
      color: white !important;
      border: 2px solid var(--color-blue-4) !important;
      box-shadow: none !important;
      fill: white !important;
      path {
        stroke: white !important;
      }
    }
  }

  &:disabled {
    background-color: #f7f7f7 !important;
    color: #c6cbd4 !important;
    border-width: 0 !important;
    &:hover {
      color: #c6cbd4 !important;
    }
  }

  svg {
    font-size: 0.85em;
  }
}

.secondary-strada-btn-with-icon {
  span {
    margin-right: auto;
    font-size: 13px;
    line-height: 1;
  }
  svg-icon,
  fa-icon {
    margin-left: 2em;
  }
  padding: 9.5px 10px !important;
}

.export-btn {
  font-family: 'AvenirMedium';
  color: var(--color-blue-4);
  background: transparent;
  border: 2px solid var(--color-blue-4) !important;
  padding: 5px;
  margin: 0 10px 0 0;
  min-height: 40px;
  min-width: 34px;

  &:not(:disabled) {
    &:hover,
    &:focus,
    &:active {
      background-color: var(--color-blue-4) !important;
      color: white !important;
      padding: 1px;
      border: 1px solid var(--color-blue-4) !important;
      box-shadow: none !important;
      fill: white !important;
      path {
        stroke: white !important;
      }
    }
  }

  &:disabled {
    background-color: #f7f7f7 !important;
    color: #c6cbd4 !important;
    border-width: 0 !important;
    &:hover {
      color: #c6cbd4 !important;
    }
  }

  svg {
    font-size: 0.85em;
  }

  .faPlus {
    font-size: 15px !important;
  }
}

// ***********************************************************
// ***********************************************************
//              employeesAnomaliesByType
// ***********************************************************
// ***********************************************************

// .employeesAnomaliesByType {
//   .mat-checkbox-layout .mat-checkbox-label {
//     word-break: break-word !important;
//   }

//   .mat-list-base .mat-list-item {
//     height: 4.5rem !important;
//   }

//   .mat-list-base .load_more_btn {
//     height: 40px !important;
//   }
// }

.anomaliesByTypeEmployees {
  .mat-checkbox-layout .mat-checkbox-label {
    word-break: break-word !important;
  }

  .mat-list-item {
    height: 4.5rem !important;
  }

  .load_more_btn {
    height: 40px !important;
  }
}

.settingsTabs {
  .mat-expansion-panel-header-description,
  .mat-expansion-indicator::after,
  .mat-expansion-panel-header-title h3 {
    color: white !important;
  }

  .cls-1 {
    fill: #fbfbfb !important;
  }
}

.settingsTabs,
.mat-expansion-panel:not(.mat-expanded) .settingsTabs:hover:not([aria-disabled='true']) {
  background-color: #354360 !important;
  * {
    color: white;
  }

  .cls-1 {
    fill: #fbfbfb !important;
  }
}

.RAZTab {
  background-color: #354360;
  color: white;
  .cls-1 {
    fill: #fbfbfb !important;
  }
}

@media (min-width: 766px) {
  .AllCardsMAtmaenu {
    flex: 0 0 25% !important;
    max-width: 25% !important;
  }
}

@media (min-width: 1600px) {
  .AllCardsMAtmaenu {
    flex: 0 0 16.6666666667% !important;
    max-width: 16.6666666667% !important;
  }
}


.profileAttribution {

  .profileAttributionRadioGroup {
    .mat-radio-label-content {
      white-space: initial;
    }
  }
}

.cdk-overlay-container {
  z-index: 1200;
}

.profileEditbutton {
  svg {
      &:not(:disabled) {
        &:focus,
        &:active {
          background-color: #0f244e !important;
          color: white !important;
          border: 2px solid #0f244e !important;
          box-shadow: none !important;
          fill: white !important;
          path {
            stroke: white !important;
          }
        }

        &:hover {
          background-color: var(--color-blue-4) !important;
          color: white !important;
          border: 2px solid var(--color-blue-4) !important;
          box-shadow: none !important;
          fill: white !important;
          path {
            stroke: white !important;
          }
        }
      }
  }
}

// .selectClass {
//   // .cdk-overlay-pane .mat-select-panel-wrap {
//   :ng-deep .mat-select-panel-wrap {
//     top: 24px;
//     position: relative;
//     right: 1px !important;;
//   }
// }

.expansionHeaderDesignSection {
  display: flex;
  align-items: center;
}

.mat-button-focus-overlay {
  background-color: transparent !important;
}

.profileSection {
  .mat-form-field-flex {
    padding-right: 0 !important;
  }
}

.custom-dialog-container .mat-dialog-container {
  /* add your styles */
}

.cdk-global-overlay-wrapper, .cdk-overlay-container {
 z-index: 1053 !important;
}

// .slide-menu-backdrop{
//   position: relative;
//   z-index: 10000 !important;
// }

.global-slide-class {
  z-index: 10000 !important;
}

.designButtonSeuil {
  height: 24px;
  border-radius: 4px;
}

.undoAllIconButton {
  cursor: not-allowed;
  svg{
    path {
      fill: #C6CBD4;
      stroke: rgb(255, 255, 255);
    }
  }
}

.undoIconButton {
  cursor: not-allowed;
  svg{
    path {
      fill: #C6CBD4;
      stroke: rgb(255, 255, 255);
    }
    g {
      path {
        fill: rgb(255, 255, 255);
        stroke: rgb(255, 255, 255);
      }
    }
   }
}

.saveEditedSequenceNull {
  cursor: not-allowed;
  svg{
    path {
      fill: #C6CBD4;
      stroke: rgb(255, 255, 255);
    }
    g {
      path {
        fill: #C6CBD4;
        stroke: rgb(255, 255, 255);
      }
    }
   }
}

.input-group {
  .dropdown-menu {
    z-index: 9001;
  }
}
